<?php

declare(strict_types=1);

namespace App\Scolarite\Domain\Exception;

use App\Scolarite\Domain\Model\Evaluation\EvaluationId;
use DomainException;

use function sprintf;

final class NotesDejaPublieesException extends DomainException
{
    public static function pourEvaluation(EvaluationId $id): self
    {
        return new self(sprintf(
            'Les notes de l\'évaluation "%s" sont déjà publiées.',
            $id,
        ));
    }
}
